package com.qmth.boot.data.upgrade.model;

import org.apache.commons.lang3.StringUtils;

/**
 * 运行模式
 */
public enum RunMode {

    /**
     * 启动应用
     */
    START,

    /**
     * 首次安装应用
     */
    INSTALL,

    /**
     * 升级应用
     */
    UPGRADE;

    public static RunMode getRunMode(String str) {
        if (StringUtils.isNotBlank(str)) {
            for (RunMode runMode : RunMode.values()) {
                if (runMode.name().equalsIgnoreCase(str)) {
                    return runMode;
                }
            }
        }

        return null;
    }

}
